com.pixelmed.convert

## Class CommonConvertedAttributeGeneration

- java.lang.Object
- - com.pixelmed.convert.CommonConvertedAttributeGeneration

-     public class CommonConvertedAttributeGeneration
      extends java.lang.Object

  A class to support converting proprietary image input format files into images of a specified or appropriate SOP Class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonConvertedAttributeGeneration()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `generateCommonAttributes(AttributeList list, java.lang.String patientName, java.lang.String patientID, java.lang.String studyID, java.lang.String seriesNumber, java.lang.String instanceNumber, java.lang.String modality, java.lang.String sopClass)` Generate commomn attributes for converted images.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommonConvertedAttributeGeneration

          public CommonConvertedAttributeGeneration()

  - ### Method Detail

    - #### generateCommonAttributes

          public static void generateCommonAttributes(AttributeList list,
                                                      java.lang.String patientName,
                                                      java.lang.String patientID,
                                                      java.lang.String studyID,
                                                      java.lang.String seriesNumber,
                                                      java.lang.String instanceNumber,
                                                      java.lang.String modality,
                                                      java.lang.String sopClass)
                                               throws DicomException

      Generate commomn attributes for converted images.

      Does NOT add ManufacturerModelName ... that should be added by caller.

      Does NOT call CodingSchemeIdentification.replaceCodingSchemeIdentificationSequenceWithCodingSchemesUsedInAttributeList ... that should be done by caller.

      Parameters:
        `list` -
        `patientName` -
        `patientID` -
        `studyID` -
        `seriesNumber` -
        `instanceNumber` -
        `modality` - may be null
        `sopClass` - may be null
      Throws:
        `DicomException`
        `java.lang.NumberFormatException`